### Method

# GLib VariantDict insert_value

since: 2.40

#### Declaration

    void
    g_variant_dict_insert_value (
      GVariantDict* dict,
      const gchar* key,
      GVariant* value
    )

#### Description

Inserts (or replaces) a key in a `GVariantDict`.

`value` is consumed if it is floating.

Available since: 2.40

#### Parameters

`key`

  Type: `const gchar*`

  The key to insert a value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The value to insert.

  The data is owned by the caller of the method.